<?php

/*
------------------------------------
Смена версии сайта для пользователей
------------------------------------
*/
  
$data = STRIPSLASHES(HTMLSPECIALCHARS(GET('data')));
$url = BASE64_DECODE(LINKS_FILTER(GET('url')));
  
IF (IS_DIR(ROOT.'/style/version/'.$data.'/') && DB::GET_COLUMN("SELECT COUNT(`DIR`) FROM `PANEL_THEMES` WHERE `DIR` = '".$data."' AND `ACT` >= '1' LIMIT 1") == 1){
  
  SETCOOKIE('VERSION', $data, TIME() + 60*60*24*365);
  SUCCESS('Вы успешно сменили версию сайта', 'session');

}ELSE{

  ERROR('Неизвестная ошибка', 'session');

}

REDIRECT($url);

?>